{
    "build": [
        ["invoke", "build"]
    ],
    "before_install": [
        ["mkdir", "{{base}}/data"],
        ["virtualenv", "-p", "python3", "{{base}}/env"]
    ],
    "install": [
        {
            "artifacts": "build/packages/*.whl",
            "command": ["{{base}}/env/bin/pip", "install", "{{artifact}}"]
        }
    ],
    "after_install": [
        ["{{base}}/env/bin/uitwww", "init", "{{base}}/data"]
    ],
    "run": [
        "{{base}}/env/bin/uitwww", "run", "-g", "{{gunicorn_config_file}}",
        "{{base}}/data"
    ]
}
